OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
AmoebaStretchBendForce Class Reference

This class implements the Amoeba stretch-bend interaction. More...

Inheritance diagram for AmoebaStretchBendForce:

## Public Member Functions
def | getNumStretchBends
| getNumStretchBends(AmoebaStretchBendForce self) -> int More...
def | addStretchBend
| addStretchBend(AmoebaStretchBendForce self, int particle1, int particle2, int particle3, double lengthAB, double lengthCB, double angle, double k1, double k2) -> int More...
def | getStretchBendParameters
| getStretchBendParameters(AmoebaStretchBendForce self, int index) More...
def | setStretchBendParameters
| setStretchBendParameters(AmoebaStretchBendForce self, int index, int particle1, int particle2, int particle3, double lengthAB, double lengthCB, double angle, double k1, double k2) More...
def | updateParametersInContext
| updateParametersInContext(AmoebaStretchBendForce self, Context context) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(AmoebaStretchBendForce self) -> bool More...
def | __init__
| init(OpenMM::AmoebaStretchBendForce self) -> AmoebaStretchBendForce init(OpenMM::AmoebaStretchBendForce self, AmoebaStretchBendForce other) -> AmoebaStretchBendForce More...
def | __del__
| del(OpenMM::AmoebaStretchBendForce self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes
| this

## Detailed Description

This class implements the Amoeba stretch-bend interaction.

To use it, create a StretchBendForce object then call addStretchBend() once for each stretch-bend. After a stretch-bend has been added, you can modify its force field parameters by calling setStretchBendParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::AmoebaStretchBendForce self) -> AmoebaStretchBendForce init(OpenMM::AmoebaStretchBendForce self, AmoebaStretchBendForce other) -> AmoebaStretchBendForce

Create an AmoebaStretchBendForce.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::AmoebaStretchBendForce self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def addStretchBend | ( |  | self,
|  |  | args
| ) |  |

addStretchBend(AmoebaStretchBendForce self, int particle1, int particle2, int particle3, double lengthAB, double lengthCB, double angle, double k1, double k2) -> int

Add a stretch-bend term to the force field.

Parameters

  particle1 | the index of the first particle connected by the stretch-bend
  particle2 | the index of the second particle connected by the stretch-bend
  particle3 | the index of the third particle connected by the stretch-bend
  lengthAB | the equilibrium length of the stretch-bend in bond ab [particle1, particle2], measured in nm
  lengthCB | the equilibrium length of the stretch-bend in bond cb [particle3, particle2], measured in nm
  angle | the equilibrium angle in radians
  k1 | the force constant of the product of bond ab and angle a-b-c
  k2 | the force constant of the product of bond bc and angle a-b-c (optional, default is the same as k1)

References simtk.openmm.openmm.stripUnits().

def getNumStretchBends | ( |  | self,
|  |  | args
| ) |  |

getNumStretchBends(AmoebaStretchBendForce self) -> int

Get the number of stretch-bend terms in the potential function

References simtk.openmm.openmm.stripUnits().

def getStretchBendParameters | ( |  | self,
|  |  | args
| ) |  |

getStretchBendParameters(AmoebaStretchBendForce self, int index)

Get the force field parameters for a stretch-bend term.

Parameters

  index | the index of the stretch-bend for which to get parameters
  particle1 | the index of the first particle connected by the stretch-bend
  particle2 | the index of the second particle connected by the stretch-bend
  particle3 | the index of the third particle connected by the stretch-bend
  lengthAB | the equilibrium length of the stretch-bend in bond ab [particle1, particle2], measured in nm
  lengthCB | the equilibrium length of the stretch-bend in bond cb [particle3, particle2], measured in nm
  angle | the equilibrium angle in radians
  k1 | the force constant of the product of bond ab and angle a-b-c
  k2 | the force constant of the product of bond bc and angle a-b-c

References simtk.openmm.openmm.stripUnits().

def setStretchBendParameters | ( |  | self,
|  |  | args
| ) |  |

setStretchBendParameters(AmoebaStretchBendForce self, int index, int particle1, int particle2, int particle3, double lengthAB, double lengthCB, double angle, double k1, double k2)

Set the force field parameters for a stretch-bend term.

Parameters

  index | the index of the stretch-bend for which to set parameters
  particle1 | the index of the first particle connected by the stretch-bend
  particle2 | the index of the second particle connected by the stretch-bend
  particle3 | the index of the third particle connected by the stretch-bend
  lengthAB | the equilibrium length of the stretch-bend in bond ab [particle1, particle2], measured in nm
  lengthCB | the equilibrium length of the stretch-bend in bond cb [particle3, particle2], measured in nm
  angle | the equilibrium angle in radians
  k1 | the force constant of the product of bond ab and angle a-b-c
  k2 | the force constant of the product of bond bc and angle a-b-c (optional, default is the same as k1)

References simtk.openmm.openmm.stripUnits().

def updateParametersInContext | ( |  | self,
|  |  | args
| ) |  |

updateParametersInContext(AmoebaStretchBendForce self, Context context)

Update the per-stretch-bend term parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setStretchBendParameters() to modify this object's parameters, then call updateParametersInContext() to copy them over to the Context.

The only information this method updates is the values of per-stretch-bend term parameters. The set of particles involved in a term cannot be changed, nor can new terms be added.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(AmoebaStretchBendForce self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py